GWT 2.7.0

## com.google.gwt.event.shared.testing
Class CountingEventBus

    java.lang.Object
      com.google.web.bindery.event.shared.EventBus
          com.google.gwt.event.shared.EventBus
              com.google.gwt.event.shared.testing.CountingEventBus

All Implemented Interfaces:
  HasHandlers

    public class CountingEventBus

extends EventBus

Legacy compatibility wrapper for `CountingEventBus`.

Constructor Summary
`CountingEventBus()`
`CountingEventBus(EventBus wrapped)`

Method Summary

`

`<H> HandlerRegistration`

`

`addHandler(Event.Type<H> type, H handler)`
Adds an unfiltered handler to receive events of this type from all sources.

`

`<H extends EventHandler> HandlerRegistration`

`

`addHandler(GwtEvent.Type<H> type, H handler)`

`

`<H> HandlerRegistration`

`

`addHandlerToSource(Event.Type<H> type, java.lang.Object source, H handler)`
Adds a handler to receive events of this type from the given source.

`

`<H extends EventHandler> HandlerRegistration`

`

`addHandlerToSource(GwtEvent.Type<H> type, java.lang.Object source, H handler)`

`void` | `fireEvent(Event<?> event)` Fires the event from no source.
`void` | `fireEvent(GwtEvent<?> event)` Fires the given event to the handlers listening to the event's type.
`void` | `fireEventFromSource(Event<?> event, java.lang.Object source)` Fires the given event to the handlers listening to the event's type.
`void` | `fireEventFromSource(GwtEvent<?> event, java.lang.Object source)`
`int` | `getCount(GwtEvent.Type<?> type)` Deprecated. Please use `getHandlerCount`.
`int` | `getFiredCount(Event.Type<?> type)` How many events have fired for the given `type`.
`int` | `getHandlerCount(Event.Type<?> type)` How many handlers are registered for the given `type`.

Methods inherited from class com.google.gwt.event.shared.EventBus
`castFireEvent, castFireEventFromSource, wrap`

Methods inherited from class com.google.web.bindery.event.shared.EventBus
`dispatchEvent, setSourceOfEvent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CountingEventBus

    public CountingEventBus()

### CountingEventBus

    public CountingEventBus(EventBus wrapped)

Method Detail

### addHandler

    public <H extends EventHandler> HandlerRegistration addHandler(GwtEvent.Type<H> type,
                                                                   H handler)

  Specified by:
    `addHandler` in class `EventBus`

### addHandler

    public <H> HandlerRegistration addHandler(Event.Type<H> type,
                                              H handler)

  Description copied from class: `EventBus`
  Adds an unfiltered handler to receive events of this type from all sources.

  It is rare to call this method directly. More typically an `Event` subclass will provide a static `register` method, or a widget will accept handlers directly.

  Overrides:
    `addHandler` in class `EventBus`
  Type Parameters:
    `H` - The type of handler
  Parameters:
    `type` - the event type associated with this handler
    `handler` - the handler
  Returns:
    the handler registration, can be stored in order to remove the handler later

### addHandlerToSource

    public <H extends EventHandler> HandlerRegistration addHandlerToSource(GwtEvent.Type<H> type,
                                                                           java.lang.Object source,
                                                                           H handler)

  Specified by:
    `addHandlerToSource` in class `EventBus`

### addHandlerToSource

    public <H> HandlerRegistration addHandlerToSource(Event.Type<H> type,
                                                      java.lang.Object source,
                                                      H handler)

  Description copied from class: `EventBus`
  Adds a handler to receive events of this type from the given source.

  It is rare to call this method directly. More typically a `Event` subclass will provide a static `register` method, or a widget will accept handlers directly.

  Overrides:
    `addHandlerToSource` in class `EventBus`
  Type Parameters:
    `H` - The type of handler
  Parameters:
    `type` - the event type associated with this handler
    `source` - the source associated with this handler
    `handler` - the handler
  Returns:
    the handler registration, can be stored in order to remove the handler later

### fireEvent

    public void fireEvent(Event<?> event)

  Description copied from class: `EventBus`
  Fires the event from no source. Only unfiltered handlers will receive it.

  Any exceptions thrown by handlers will be bundled into a `UmbrellaException` and then re-thrown after all handlers have completed. An exception thrown by a handler will not prevent other handlers from executing.

  Overrides:
    `fireEvent` in class `EventBus`
  Parameters:
    `event` - the event to fire

### fireEvent

    public void fireEvent(GwtEvent<?> event)

  Description copied from interface: `HasHandlers`
  Fires the given event to the handlers listening to the event's type.

  Any exceptions thrown by handlers will be bundled into a `UmbrellaException` and then re-thrown after all handlers have completed. An exception thrown by a handler will not prevent other handlers from executing.

  Specified by:
    `fireEvent` in interface `HasHandlers`
  Specified by:
    `fireEvent` in class `EventBus`
  Parameters:
    `event` - the event

### fireEventFromSource

    public void fireEventFromSource(Event<?> event,
                                    java.lang.Object source)

  Description copied from class: `EventBus`
  Fires the given event to the handlers listening to the event's type.

  Any exceptions thrown by handlers will be bundled into a `UmbrellaException` and then re-thrown after all handlers have completed. An exception thrown by a handler will not prevent other handlers from executing.

  Overrides:
    `fireEventFromSource` in class `EventBus`
  Parameters:
    `event` - the event to fire

### fireEventFromSource

    public void fireEventFromSource(GwtEvent<?> event,
                                    java.lang.Object source)

  Specified by:
    `fireEventFromSource` in class `EventBus`

### getCount

    @Deprecated
    public int getCount(GwtEvent.Type<?> type)

  Deprecated. Please use `getHandlerCount`.

  How many handlers are registered for the given `type`.

### getFiredCount

    public int getFiredCount(Event.Type<?> type)

  How many events have fired for the given `type`. These events may not have been passed to any handlers.

### getHandlerCount

    public int getHandlerCount(Event.Type<?> type)

  How many handlers are registered for the given `type`.

GWT 2.7.0